package com.xyzc.start.domain.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * BaseUserMemberCardVo
 *
 * @author 杨兴卓
 */
@Data
public class BaseUserMemberCardVo implements Serializable {


    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 会员卡id
     */
    private Long memberId;

    /**
     * 会员卡logo ossId
     */
    private String ossUrl;

    /**
     * 会员卡名称
     */
    private String cardName;

    /**
     * 是否是基础会员卡 0-否 1-是
     */
    private Integer isBaseCard;

    /**
     * 会员卡别名
     */
    private String cardAliasName;

    /**
     * 到期时间
     */
    private Date expireTime;

}


