package com.xyzc.start.service;


import com.xyzc.start.domain.Industry;
import com.xyzc.start.domain.Scheme;
import com.xyzc.start.domain.bo.BaseUserCollectQueryBo;
import com.xyzc.start.domain.vo.*;

import java.util.List;

/**
 * h5端首页显示
 *
 * @author yz
 * @date 2024-06-25
 */
public interface IHomePageService {


    /**
     * 获取首页数据
     *
     * @return
     */
    WebHomePageVo getHomePage();

    /**
     * 根据type字段获取更多收藏
     * @return
     */
    List<BaseUserCollectVo> getMoreApps(BaseUserCollectQueryBo collectBo);


    /**
     * 获取最近使用
     * @return
     */
    List<AppVo> getRecentlyUsed();
}
